Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 02:28
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Video
Webcam and Skype
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
jsajczuk

Joined: 31 Jul 2010
Posts: 4

PostPosted: Sat 04 Dec 2010, 13:40    Post_subject:  Webcam and Skype
Sub_title: works on Dell Inspiron Mini 10 with eeeubuntu version but not Lucid
 

my netbook webcam works with the following and Skype 2.0 but doesn't work with Lucid Puppy 5.x:

windows xp, eeeubuntu 3.0 standard, eeebuntu 3.0 nbr but these version are turtle slow compared to using Lucid Puppy.

in Lucid Puppy, when I use options->video then test, the webcam light comes on but the preview box goes grey.

Any ideas cause I really prefer Lucid Puppy over the others.
Back to top
View user's profile Send_private_message 
fernan

Joined: 23 Jan 2007
Posts: 307
Location: Buenos Aires

PostPosted: Sun 31 Jul 2011, 10:50    Post_subject:  

It seems it's quite hard to get skype video working in puppy... I'm having the same problem, and didn't find a solution yet Camera works in camstream software, but not in skype.

Try this, perhaps it works for you:

http://www.murga-linux.com/puppy/viewtopic.php?t=58732&sid=93c70a015a256511a868ed2b220752ff
Back to top
View user's profile Send_private_message 
Sezar


Joined: 16 Oct 2012
Posts: 11

PostPosted: Tue 23 Apr 2013, 08:04    Post_subject: skype camera works solution it works
Sub_title: video webcam skype
 

I tried to see my old cif q-tech webcam video with skype v2 on puppy 528. It works with Guvcview app. but not with skype and now I have solution for newbie like me:

1. instal this pet v4l-utils-0.8.5-x-wary53.pet from : http://www.murga-linux.com/puppy/viewtopic.php?t=83569

2. reboot

3. make sure , that you have now this folder v4l1 in lib with these files:

/usr/lib/libv4l/v4l1compat.so

and

/usr/lib/libv4l/v4l2convert.so


3. open menu - utility - PupMenu application launcher

4. click on Internet field and choose Skype than clic on edit selected app (last icon on right from skype field) .

5. In Geany editor change this line with this:

Code:
Exec=bash -c 'export LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so; skype'


save it!

6. reboot

7. done, start skype from menu-internet-skype and try video in option or try videocall

you can try the other file if skype still no has webcam video

Code:
Exec=bash -c 'export LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so; skype'


for me it helped for this Q-tec 100 webcam and for playstation2 black old eye toy web cam too, with functional microphone also ! I can skype with video with puppy 528 now!!!! great I love puppy, thanks !

hope it will help someone... sorry my english Wink [/img]

Edited_time_total
Back to top
View user's profile Send_private_message 
watchdog

Joined: 28 Sep 2012
Posts: 606

PostPosted: Mon 06 May 2013, 08:55    Post_subject: v4l-utils for webcams and skype  

I had the job just done in a my install of lupu528_005 and so I can help you. I have compiled v4l-utils in lupu even if it's reported the wary version working in lupu, too. Install the attached pet. With some webcams you have to run skype by a console command of the kind:

Code:
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype


or

Code:
LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so skype


I don't have tested the packaging with new2dir command: in my install I directly installed from source code. So report your testing.
v4l-utils-0.8.6-i486.pet
Description 
pet

 Download 
Filename  v4l-utils-0.8.6-i486.pet 
Filesize  245.52 KB 
Downloaded  627 Time(s) 
Back to top
View user's profile Send_private_message 
Sezar


Joined: 16 Oct 2012
Posts: 11

PostPosted: Tue 07 May 2013, 02:20    Post_subject: control settings  

Great, it works, can you compile V4L2UCP ,an universal control panel for V4L and V4L2 devices for 528? It woud be great. My eyetoy webcam and Logitech need set brightness , contrast, saturation etc and change resolution.... With guvcview some settings works but with skype no changes. How to set webcamera settings or in which file for skype are these settings in puppy.... I think v4l2ucp can do the trick.
I tried to edit .guvcviewrc and default.gpfl but no changes for skype:

http://guvcview.sourceforge.net/Doc.html

I only found this , but I donť understand , how to make v4l2ucp work:

http://www.murga-linux.com/puppy/viewtopic.php?t=50463&sid=7e42eedd930112c46595800b8e538f1b

thanks
Back to top
View user's profile Send_private_message 
watchdog

Joined: 28 Sep 2012
Posts: 606

PostPosted: Tue 07 May 2013, 04:33    Post_subject: Re: control settings  

Sezar wrote:
Great, it works, can you compile V4L2UCP ,an universal control panel for V4L and V4L2 devices for 528?


With deb2pet I obtained a pet package of multimedia debian v4l2ucp that works in every puppy. Only in slacko 5.5 it needs qt-3.3.8 from puppy3 repository and a symbolic link named libqt-mt.so.3 in /usr/lib to /usr/lib/qt-3.3.8/lib/libqt-mt.so.3.3.8:

Code:
ln -s /usr/lib/qt-3.3.8/lib/libqt-mt.so.3.3.8 /usr/lib/libqt-mt.so.3


About lupu I had not to do this but consider that I usually install qt-3.3.8 in my puppies.

http://www.4shared.com/file/Vg09fqlX/v4l2ucp_12-01_i386.html

This has not a menu entry, so in console type:

Code:
v4l2ucp


In lupu I have a more evolute v4l2ucp from ubuntu old ppa which should work:

http://www.4shared.com/file/WKUZwUyv/v4l2ucp_202-1kkv4l1_lpia.html
Back to top
View user's profile Send_private_message 
Sezar


Joined: 16 Oct 2012
Posts: 11

PostPosted: Tue 07 May 2013, 16:48    Post_subject:
Sub_title: Thanks
 

Ok , Ill try it in free time and post results here thanks again Wink
Back to top
View user's profile Send_private_message 
Sezar


Joined: 16 Oct 2012
Posts: 11

PostPosted: Thu 16 May 2013, 17:40    Post_subject: Re: control settings  

watchdog wrote:
Sezar wrote:
Great, it works, can you compile V4L2UCP ,an universal control panel for V4L and V4L2 devices for 528?


With deb2pet I obtained a pet package of multimedia debian v4l2ucp that works in every puppy. Only in slacko 5.5 it needs qt-3.3.8 from puppy3 repository and a symbolic link named libqt-mt.so.3 in /usr/lib to /usr/lib/qt-3.3.8/lib/libqt-mt.so.3.3.8:

Code:
ln -s /usr/lib/qt-3.3.8/lib/libqt-mt.so.3.3.8 /usr/lib/libqt-mt.so.3


About lupu I had not to do this but consider that I usually install qt-3.3.8 in my puppies.

http://www.4shared.com/file/Vg09fqlX/v4l2ucp_12-01_i386.html

This has not a menu entry, so in console type:

Code:
v4l2ucp


In lupu I have a more evolute v4l2ucp from ubuntu old ppa which should work:

http://www.4shared.com/file/WKUZwUyv/v4l2ucp_202-1kkv4l1_lpia.html



ok, in puppy 528, i downloaded your link for v4l2ucp, than it wanted qt-3.3.8.pet and than this
Code:
ln -s /usr/lib/qt-3.3.8/lib/libqt-mt.so.3.3.8 /usr/lib/libqt-mt.so.3

and than (error while loading shared libraries: libpng.so.3: cannot open shared object file: No such file or directory) more this:
Code:
ln -s /lib/libpng12.so.0.42.0 /lib/libpng.so.3


it works now thanks, but one problem with eyetoy cam. I tried skype, I have test skype picture colors very/only blue , no red, and I need correct it. In GUVCVviewer the same cam in 320x240 has the same problem , when I switch to 640x480 the picture is perfect...
ok, but in skype , in guvcvviewer or in v4lucp i can correct only brightness, contrast and color for this cam, nothing like resolution, gamma, saturation......
any ideas how to do it. It use ov519 driver. But why it works with 640x480 and with 320x240(which use skype) not???

images attached...
image-4.png
 Description   only 3 settings, nothing more...
 Filesize   69.52 KB
 Viewed   2697 Time(s)

image-4.png

640x480.png
 Description   only works with guvcvviewer in 640x480
 Filesize   223.98 KB
 Viewed   3189 Time(s)

640x480.png

320x240.png
 Description   bad picture with skype
 Filesize   42.21 KB
 Viewed   2656 Time(s)

320x240.png

Back to top
View user's profile Send_private_message 
watchdog

Joined: 28 Sep 2012
Posts: 606

PostPosted: Fri 17 May 2013, 00:14    Post_subject: Re: control settings  

Sezar wrote:

ok, but in skype , in guvcvviewer or in v4lucp i can correct only brightness, contrast and color for this cam, nothing like resolution, gamma, saturation......
any ideas how to do it. It use ov519 driver. But why it works with 640x480 and with 320x240(which use skype) not???


Try another frugal install and install the v4l2ucp at the second link I gave you in the previous post from ubuntu old ppa: it's more evolute in lucid, it should work without symbolic links and it has a menu entry.
Back to top
View user's profile Send_private_message 
Sezar


Joined: 16 Oct 2012
Posts: 11

PostPosted: Fri 17 May 2013, 03:49    Post_subject: Re: control settings  

watchdog wrote:
Sezar wrote:

ok, but in skype , in guvcvviewer or in v4lucp i can correct only brightness, contrast and color for this cam, nothing like resolution, gamma, saturation......
any ideas how to do it. It use ov519 driver. But why it works with 640x480 and with 320x240(which use skype) not???


Try another frugal install and install the v4l2ucp at the second link I gave you in the previous post from ubuntu old ppa: it's more evolute in lucid, it should work without symbolic links and it has a menu entry.


ok, the 2 installation pacage v4l2ucp v.202 deb file wants this:

v4l2ucp: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory

where to find it? I have only this link

http://www.murga-linux.com/puppy/viewtopic.php?t=68535

but I dont want install all these pets i think it has 32MB......

I tried to run this webcam eyetoy on my lubuntu 13.4 with v4l2ucp version 202 (the same) and it works but I have only Brightness and Color. But 320x240 picture is normal there... Rolling Eyes

I think it must exist some file to edit these settings without any other programm, lib. no?
Back to top
View user's profile Send_private_message 
Sezar


Joined: 16 Oct 2012
Posts: 11

PostPosted: Fri 17 May 2013, 08:37    Post_subject: driver ov519  

ok i found this:

http://www.who.is.free.fr/wiki/doku.php?id=gspca

any ideas?
Back to top
View user's profile Send_private_message 
watchdog

Joined: 28 Sep 2012
Posts: 606

PostPosted: Fri 17 May 2013, 09:17    Post_subject: Re: control settings  

Sezar wrote:

ok, the 2 installation pacage v4l2ucp v.202 deb file wants this:

v4l2ucp: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory

where to find it?


You need qt4 which you can get as sfs. I use qt-4.7.1:

https://docs.google.com/file/d/0B9iMb4UZBeFkNk9Sam9XQUVqVEU/edit?usp=sharing

The official thread for qt4 libraries is:

http://www.murga-linux.com/puppy/viewtopic.php?p=530822

I have also used:

http://distro.ibiblio.org/puppylinux/pet_packages-slacko/qt_all-4.7.3.sfs

I suggest my first link to qt-4.7.1.
With qt4 sfs loaded the v4l2ucp from ubuntu should work.

EDIT: now released
http://smokey01.com/pemasu/pet_packages-upup/qt-4.8.2-stripped.sfs
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Hardware » Video
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0917s ][ Queries: 12 (0.0083s) ][ GZIP on ]